# Get cookie origin

POST /v3/web-journeys/{webJourneyId}/runs/{runId}/cookies/origin

Get the origin story for a cookie

Endpoint: POST /v3/web-journeys/{webJourneyId}/runs/{runId}/cookies/origin
Security: API_Key

## Path parameters:

  - `webJourneyId` (integer, required)
    Unique identification number for web journey item
    Example: 107239

  - `runId` (integer, required)
    Unique identification number for web audit or journey run
    Example: 33010

## Request fields (application/json):

  - `name` (string)

  - `domain` (string)

  - `path` (string)

## Response 200 fields (application/json):

  - `totalCookieActionCount` (integer, required)

  - `totalCookieInitiatorCount` (integer, required)

  - `actions` (array, required)

  - `actions.action` (object, required)

  - `actions.action.sequence` (integer, required)

  - `actions.action.label` (string, required)

  - `actions.cookieChangeType` (string, required)
    Enum: "ADD", "UPDATE", "DELETE", "NO_CHANGE", "REPEAT_SET"

  - `actions.initiators` (array, required)

  - `actions.initiators.initiatorType` (string, required)
    Type of event that created the cookie
    Enum: "HTTP", "APP", "OP_ACTION", "UNKNOWN"

  - `actions.initiators.tagId` (integer)
    Will include a tag ID when a specific tag signature has been matched to initiating requests

  - `actions.initiators.requestUrl` (string)
    For initiatorType:
  - HTTP - requestUrl will be the URL of the request that created the cookie
  - APP, OP_ACTION, UNKNOWN - This field will be undefined

  - `actions.initiators.line` (integer)
    The line number in the JS file that created the cookie

  - `actions.initiators.column` (integer)
    The column number in the JS file that created the cookie

  - `actions.initiators.harEntryIndex` (integer)
    The 0-based index of the HAR entry that this request corresponds to. Used to uniquely identify a request on a page.

  - `actions.cookie` (object, required)

  - `actions.cookie.name` (string, required)

  - `actions.cookie.value` (string, required)

  - `actions.cookie.domain` (string, required)

  - `actions.cookie.path` (string, required)

  - `actions.cookie.httpOnly` (boolean, required)

  - `actions.cookie.secure` (boolean, required)

  - `actions.cookie.sameSite` (string, required)

  - `actions.cookie.expires` (string, required)

  - `actions.cookie.partyType` (string, required)
    Indicates if cookie domain is different from domain of a page it was set on. 
owned_3rd_party is deprecated
    Enum: "1st_party", "owned_3rd_party", "3rd_party"

  - `actions.cookie.cookieTTL` (integer)
    difference (in minutes) between cookie expiration and cookie set time (page scan) cookieTTL

  - `actions.cookie.partitionKey` (string)

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)


